Source: https://manu-pageloop-kb.docs-staging.pageloop.ai/api-reference/endpoints/listarticles

# List articles

GET `https://api.pageloop-demo.dev/v2/articles`

Returns the organization's knowledge-base articles, newest first.

## Query Parameters

#### status (query, enum (string))

Filter by publication status.

#### limit (query, integer)

## Response

#### 200

A page of articles.

#### id (string, required)

#### title (string, required)

#### status (enum (string), required)

#### updatedAt (string)

#### Request

```bash cURL
curl -X GET 'https://api.pageloop-demo.dev/v2/articles' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.pageloop-demo.dev/v2/articles', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.pageloop-demo.dev/v2/articles',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
[
  {
    "id": "string",
    "title": "string",
    "status": "draft",
    "updatedAt": "date-time"
  }
]
```
